PipeWire 1.6.5

Loading...
Searching...
No Matches
spa_graph_node_callbacks Struct Reference
SPA » Graph

`#include <spa/graph/graph.h>`

## Data Fields
uint32_t | version
int(* | process )(void *data, struct spa_graph_node *node)
int(* | reuse_buffer )(void *data, struct spa_graph_node *node, uint32_t port_id, uint32_t buffer_id)

## Field Documentation

## ◆ version

uint32_t spa_graph_node_callbacks::version

## ◆ process

int(* spa_graph_node_callbacks::process) (void *data, struct spa_graph_node *node)

## ◆ reuse_buffer

int(* spa_graph_node_callbacks::reuse_buffer) (void *data, struct spa_graph_node *node, uint32_t port_id, uint32_t buffer_id)

The documentation for this struct was generated from the following file:

- spa/graph/graph.h